%global pypi_name collectd-puppet
%global module_name collectd_puppet

Name:           python-%{module_name}
Version:        2.0.0
Release:    1%{?dist}
Summary:        Collectd plugin to monitor puppet agents

License:        ASL 2.0
URL:            https://github.com/cernops/collectd-puppet
Source0:        https://files.pythonhosted.org/packages/source/c/%{pypi_name}/%{module_name}-%{version}.tar.gz
BuildArch:      noarch

Requires:       collectd-python

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
BuildRequires:  systemd-rpm-macros


%description
Collectd plugin for puppet run status.

%package -n     python3-%{module_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{module_name}}

Requires:       python3dist(pyyaml)
%description -n python3-%{module_name}
Collectd plugin for puppet run status.

%prep
%autosetup -n %{module_name}-%{version}
rm -r src/%{module_name}.egg-info

%build
%py3_build

%install
%py3_install

%postun
%systemd_postun_with_restart collectd.service

%files -n python3-%{module_name}
%license LICENSE
%doc README.rst NEWS.rst
%{_datadir}/collectd/puppet_types.db
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-1
- initial build
